package com.book.dao.cps.mapper;

import com.book.dao.cps.pojo.AdminConfig;
import org.apache.ibatis.annotations.Param;
import org.springframework.stereotype.Repository;

import java.util.List;

@Repository
public interface AdminConfigMapper {
    int deleteByPrimaryKey(Integer adminId);

    int insert(AdminConfig record);

    int insertSelective(AdminConfig record);

    AdminConfig selectByPrimaryKey(@Param("adminId") Integer adminId);

    int updateByPrimaryKeySelective(AdminConfig record);

    int updateByPrimaryKey(AdminConfig record);

    List<AdminConfig> selectAll();

    AdminConfig selectByAppid(@Param("appid")String appid);

    List<AdminConfig> selectByPlatformId(@Param("platform_id") Integer id);

    AdminConfig selectLikeJson(@Param("user_name") String appid);
}