package com.book.dao.cps.mapper;

import com.book.dao.VO.BookRes;
import com.book.dao.VO.QueryVO;
import org.apache.ibatis.annotations.Mapper;
import org.apache.ibatis.annotations.Param;
import org.springframework.stereotype.Repository;

import java.util.List;

@Mapper
@Repository
public interface BookMapper2 {
    List<BookRes> queryBookRes(@Param("queryVO") QueryVO queryVO, @Param("page") int page, @Param("size") int size);
    List<BookRes> topRecommend(@Param("queryVO") QueryVO queryVO, @Param("page") int page, @Param("size") int size);

    List<BookRes> novelEndRecommend(@Param("queryVO") QueryVO queryVO, @Param("page") int page, @Param("size") int size);

    List<BookRes> smartRecommand(@Param("queryVO") QueryVO queryVO);
}