package com.book.dao.cps.mapper;

import com.book.dao.cps.pojo.Orders;
import org.apache.ibatis.annotations.Param;
import org.springframework.stereotype.Repository;

import java.util.List;

@Repository
public interface OrdersMapper {
    int deleteByPrimaryKey(Integer id);

    int insert(Orders record);

    int insertSelective(Orders record);

    Orders selectByPrimaryKey(Integer id);

    int updateByPrimaryKeySelective(Orders record);

    int updateByPrimaryKey(Orders record);

    void updateByOutTradeNo(@Param("out_trade_no") String outTradeNo);
    Orders selectByOutTradeNo(@Param("out_trade_no") String outTradeNo);


    List<Orders> selectNoPayOrderBetweenCreate(@Param("from") Integer from, @Param("to")Integer to);
}