package com.book.dao.cps.pojo;

import com.alibaba.druid.support.json.JSONUtils;
import lombok.Data;

import java.io.Serializable;

/**
 * custom
 * @author 
 */
@Data
public class Custom implements Serializable {
    /**
     * ID
     */
    private Integer id;

    /**
     * 任务名称
     */
    private String title;

    private Integer adminId;

    /**
     * 消息内容
     */
    private Object messageJson;

    /**
     * 发送时间
     */
    private Integer sendtime;

    /**
     * 接收用户
     */
    private Object userJson;

    /**
     * 发送总人数
     */
    private Integer sendNum;

    /**
     * 发送成功人数
     */
    private Integer successNum;

    /**
     * 发送失败人数
     */
    private Integer failNum;

    /**
     * 状态
     */
    private Object statue;

    /**
     * 创建时间
     */
    private Integer createtime;

    /**
     * 更新时间
     */
    private Integer updatetime;

    /**
     * 创建者admin_id
     */
    private Integer createdAdminId;

    /**
     * 客服消息素材推送记录表id(可空，默认0无关连)
     */
    private Integer customMediaPushId;

    /**
     * 文字链
     */
    private String messageText;

    /**
     * 类型:0=图文,1=文字链
     */
    private Object messageType;

    /**
     * 公众号id。official_account_type为0时，为admin表（渠道商）的id；official_account_type为1时，此字段为subscription表id。
     */
    private Integer officialAccountId;

    /**
     * 公众号类型:0=服务号,1=订阅号
     */
    private Object officialAccountType;

    /**
     * 创建来源 1:客服消息添加 2:群发
     */
    private Object createdFrom;



    @Data
    public static class UserJson{
       // "{\"sex\":-1,\"tag\":-1,\"consume\":-1,\"kandian\":-1,\"subscribe_time\":-1,\"all\":\"0\"}"
        Integer sex;
        Integer tag;
        Integer consume;
        Integer kandian;
        Integer subscribe_time;
        String all;
    }
    @Data
    public static class MessageJson{
        private String type;
        private String title;
        private String url;
        private String image;
        private String description;
    }

    private static final long serialVersionUID = 1L;
}