package com.book.dao.cps.pojo;

import lombok.Data;

import java.io.Serializable;

/**
 * platform
 * @author 
 */
@Data
public class Platform implements Serializable {
    /**
     *  平台ID
     */
    private Integer id;

    /**
     * 平台名称
     */
    private String name;

    /**
     * 平台appid
     */
    private String appid;

    /**
     * 平台密钥
     */
    private String secret;

    /**
     * 消息token
     */
    private String token;

    /**
     * 消息aes_key
     */
    private String aesKey;

    /**
     * 校验文件
     */
    private String platfile;

    /**
     * 状态:0=关闭,1=启用
     */
    private Object status;

    /**
     * 描述
     */
    private String pDesc;

    /**
     * 是否默认:0=非默认,1=默认
     */
    private Object isdefault;

    /**
     * 创建时间
     */
    private Integer createtime;

    /**
     * 更新时间
     */
    private Integer updatetime;

    /**
     * 平台授权域名
     */
    private String authhost;

    /**
     * 代理IP
     */
    private String proxyConfig;

    /**
     * Job代理IP
     */
    private String jobProxyConfig;

    private static final long serialVersionUID = 1L;
}