package com.book.push.service.dao;


import com.book.dao.cps.pojo.AdminConfig;
import com.book.dao.cps.pojo.User;
import me.chanjar.weixin.common.bean.WxOAuth2UserInfo;
import me.chanjar.weixin.mp.bean.result.WxMpUser;

import java.util.List;
import java.util.Map;

/**
 * created in 2021/8/17
 * Project: book-store
 *
 * @author win7
 */

public interface UserService {
    User selectUserByUser(User user);

    User selectByOpenId(String openId);

    User selectById(Long id);

    User insertUserByWxUser(WxMpUser wxMpUser, int channel_id);
    User createUserByWxUser(WxMpUser wxMpUser, int channel_id);
    AdminConfig selectAdminConfigByOpenid(String openid);

    List<User> selectListByPushMap(Map map);

    void updateOperateTimeByOpenid(String openid, Integer operateTime);
    int insertKandian(Long userId, String type, int kandian, int freeKandian);

    User createUserByWxOAuth2UserInfo(WxOAuth2UserInfo userInfo, Integer channelId);


    User createUserByOpenid(String openid, Integer channelId);

    void updateUserSelective(User user);


    User updateUserByWxUser(Long id, WxMpUser wxMpUser);
}
