package com.book.push.service.dao.impl;

import com.book.dao.cps.mapper.CustomMapper;
import com.book.dao.cps.pojo.Custom;
import com.book.push.service.dao.CustomService;
import org.springframework.beans.factory.annotation.Autowired;
import org.springframework.stereotype.Service;

import java.util.List;

/**
 * created in 2021/8/17
 * Project: book-store
 *
 * @author win7
 */
@Service
public class CustomServiceImpl implements CustomService {
    @Autowired
    private CustomMapper customMapper;

    @Override
    public List<Custom> selectListBeforeSendTime() {
        return customMapper.selectListBeforeSendTime();
    }

    @Override
    public List<Custom> selectListBetweenSendTime(Integer from, Integer to) {

        return customMapper.selectListBetweenSendTime(from,to);
    }

    @Override
    public void update(Custom custom) {
        customMapper.updateByPrimaryKey(custom);
    }
}
