package com.book.push.service.dao.impl;

import com.book.dao.cps.entity.CustomUrl;
import com.book.dao.cps.mapper.CustomUrlMapper;
import com.book.dao.cps.pojo.example.CustomUrlExample;
import com.book.push.service.dao.CustomUrlService;
import org.springframework.beans.factory.annotation.Autowired;
import org.springframework.stereotype.Service;

/**
 * created in 2021/9/8
 * Project: book-store
 *
 * @author win7
 */
@Service
public class CustomUrlServiceImpl implements CustomUrlService {
    @Autowired
    private CustomUrlMapper customUrlMapper;

    @Override
    public CustomUrl selectById(Integer id) {
        return customUrlMapper.selectByPrimaryKey(id);
    }

    @Override
    public CustomUrl selectByCustomId(Integer customId) {
        CustomUrlExample example = CustomUrlExample.newAndCreateCriteria().andCustomIdEqualTo(customId).example();
        return customUrlMapper.selectOneByExample(example);

    }
}
