package com.book.push.service.dao.impl;

import com.book.dao.cps.mapper.OrdersMapper;
import com.book.dao.cps.pojo.Orders;
import com.book.push.service.dao.OrdersService;
import org.springframework.beans.factory.annotation.Autowired;
import org.springframework.stereotype.Service;

import java.util.List;

/**
 * created in 2021/9/1
 * Project: book-store
 *
 * @author win7
 */
@Service
public class OrdersServiceImpl implements OrdersService {
    @Autowired
    private OrdersMapper ordersMapper;

    @Override
    public List<Orders> selectNoPayOrderBetweenCreate(Integer from, Integer to) {
        return ordersMapper.selectNoPayOrderBetweenCreate(from,to);
    }

    @Override
    public Orders selectById(Integer id) {
        return ordersMapper.selectByPrimaryKey(id);
    }
}
