package com.book.push.service.dao.impl;

import com.book.dao.cps.mapper.SignRecommandMapper;
import com.book.dao.cps.pojo.SignRecommand;
import com.book.push.service.dao.SignRecommendService;
import org.springframework.beans.factory.annotation.Autowired;
import org.springframework.stereotype.Service;

/**
 * created in 2021/8/28
 * Project: book-store
 *
 * @author win7
 */
@Service
public class SignRecommendServiceImpl implements SignRecommendService {
    @Autowired
    private SignRecommandMapper signRecommandMapper;

    @Override
    public SignRecommand selectById(Integer id) {
        return signRecommandMapper.selectByPrimaryKey(id);
    }

    @Override
    public SignRecommand selectRandom(String sex) {
        return signRecommandMapper.selectRandom(sex);
    }
}
