package com.book.push.service.push;

import com.book.push.service.push.vo.BookInfo;
import com.book.push.service.push.vo.CustomMessage;
import me.chanjar.weixin.mp.bean.kefu.WxMpKefuMessage;
import me.chanjar.weixin.open.api.WxOpenMpService;

import java.util.concurrent.TimeUnit;

/**
 * created in 2021/8/27
 * Project: book-store
 *
 * @author win7
 */

public interface PushService {


    public void addPushTask(DelayTask task);



    void addBookPushTask(BookInfo bookInfo, long delay);


    void addWxKefuMessagePushTask(WxOpenMpService wxMpService, WxMpKefuMessage wxMpKefuMessage, long delay);

    void addWxKefuMessagePushTask(WxOpenMpService wxMpService, WxMpKefuMessage wxMpKefuMessage, long delay, TimeUnit timeUnit);

    void addCustomMessagePushTask(WxOpenMpService wxMpService, CustomMessage customMessage, long delay, TimeUnit timeUnit);
}
