package com.book.push.task;

/**
 * created in 2021/8/19
 * Project: book-store
 * 定时刷新缓存
 *
 * @author win7
 */

import com.book.dao.cps.pojo.AdminConfig;
import com.book.dao.cps.pojo.Platform;
import com.book.push.service.dao.AdminConfigService;
import com.book.push.service.dao.PlatformService;
import org.springframework.beans.factory.annotation.Autowired;
import org.springframework.scheduling.annotation.Scheduled;

import java.util.Map;


public class CacheTask {
    @Autowired
    private AdminConfigService adminConfigService;

    @Autowired
    private PlatformService platformService;
//    @Scheduled(cron = "0 0/5 * * * ?")
    public void refreshChannelCache() {
        Map<String, AdminConfig> stringAdminConfigMap = adminConfigService.selectAll();
    }

//    @Scheduled(cron = "0 0/20 * * * ?")
    public void refreshPlatform(){
        Map<Integer, Platform> integerPlatformMap = platformService.selectAll();
    }

}
