package com.book.server.controller;

import org.springframework.beans.factory.annotation.Autowired;
import org.springframework.stereotype.Controller;
import org.springframework.web.bind.annotation.CrossOrigin;

import javax.servlet.http.HttpServletRequest;
import javax.servlet.http.HttpServletResponse;

@Controller
@CrossOrigin
public class BaseController {
    @Autowired
    protected HttpServletRequest request;
    @Autowired
    protected HttpServletResponse response;

    protected String getSex() {
        String cookieStr = request.getHeader("Cookie10");
        if (cookieStr == null) {
            return "1";
        }
        String[] split = cookieStr.split(";");
        for (String s : split) {
            String[] split1 = s.split("=");
            if (split1.length == 2 && split1[0].trim().equals("sex")) {
                return split1[1].trim();
            }
        }
        return "1";
    }
}
