package com.book.server.utils;

import java.net.URLEncoder;
import java.util.ArrayList;
import java.util.Collections;
import java.util.List;
import java.util.Map;

public class DataUtil {
	
	public static String maptoform(Map<String, String> map){
		String str="";
		
		for(String key:map.keySet()){
			str=str+key+"="+URLEncoder.encode(map.get(key))+"&";
		}
		str = str.substring(0,str.length()-1);
	
		return str;
	}

	
	public static String maptosortform(Map<String, String> map){
		String str="";
		
		for(String key:map.keySet()){
			str=str+key+"="+map.get(key)+"&";
		}
		str = str.substring(0,str.length()-1);
	
		return str;
	}
	public static String map2form(Map<String, Object> map){
		String str="";

		for(String key:map.keySet()){
			str=str+key+"="+String.valueOf(map.get(key))+"&";
		}
		str = str.substring(0,str.length()-1);

		return str;
	}

	 public static String createLinkString(Map<String, String> params) {
	        List<String> keys = new ArrayList<String>(params.keySet());
	        Collections.sort(keys);
	        String prestr = "";
	        for (int i = 0; i < keys.size(); i++) {
	            String key = keys.get(i);
	            String value = params.get(key);
	            if (i == keys.size() - 1) {//拼接时，不包括最后一个&字符
	                prestr = prestr + key + "=" + value;
	            } else {
	                prestr = prestr + key + "=" + value + "&";
	            }
	        }
	        return prestr;
	    }
}
