package com.book.server.vo;

import lombok.Data;

/**
 * created in 2021/9/28
 * Project: book-store
 *
 * @author win7
 */
@Data
public class SunTypeReferral {
    private String id;//	int(10)	推广链接ID	唯一
    private String channel_id;//	int(10)	渠道ID
    private String type;//int(10)	推广类型:1=阅读页推广,2=书城首页推广,3=落地页推广
    private String name;//	varchar(100)	派单渠道名称
    private String nickname;//string(50)	渠道昵称
    private String username;//	string(20)	渠道用户名
    private String source_url;//	string(255)	原文链接
    private String money;//	decimal(10,2)	充值金额
    private String orders_num;//	int(10)	订单数
    private String uv;//	int(10)	阅读人数
    private String entry_page;//	string(255)	入口页面
    private String wx_nick_name;//	string(255)	公众号
    private String createtime;//	int(10)	创建时间
    private String push;//	int	内推外派:0=外派,1=内推
}
