package com.book.dao.cps.mapper;

import com.book.dao.cps.pojo.User;
import org.apache.ibatis.annotations.Param;
import org.springframework.stereotype.Repository;

import java.util.List;
import java.util.Map;

@Repository
public interface UserMapper {

    int deleteByPrimaryKey(@Param("id") Long id);

    int insert(User record);

    int insertSelective(User record);

    User selectByPrimaryKey(@Param("id") Long id);

    int updateByPrimaryKeySelective(User record);

    int updateByPrimaryKey(User record);

    User selectByUser(User user);

    User selectByOpenId(@Param("openid") String openid);

    int updateUserKandian(@Param("user") User user, @Param("kandian") int kandian, @Param("freekandian") int freekandian, @Param("updateTime") int updateTime);


    List<User> selectListByPushMap(Map map);


    void updateOperateTimeByOpenid(@Param("openid") String openid, @Param("operateTime") Integer operateTime);
}