package com.book.dao.cps.pojo;

import java.io.Serializable;
import java.math.BigDecimal;
import lombok.Data;

/**
 * admin_extend
 * @author 
 */
@Data
public class AdminExtend implements Serializable {
    /**
     * 渠道商/代理商ID
     */
    private Integer adminId;

    /**
     * 是否有配号权限:0=没有,1=有
     */
    private Object canDistribute;

    /**
     * 收益分成比例[2位小数]
     */
    private BigDecimal benefit;

    /**
     * 开户人[超管id]
     */
    private Integer createBy;

    /**
     * 收款方式:1=银行卡对公,2=银行卡对私,3=微信,4=支付宝
     */
    private Object payMethod;

    /**
     * 付款方id
     */
    private Integer payerid;

    /**
     * 收款人
     */
    private String cardHolder;

    /**
     * 收款账号
     */
    private String cardNum;

    /**
     * 收款开户银行
     */
    private String cardBank;

    /**
     * 身份证号码
     */
    private String idcardNo;

    /**
     * 配号状态:0=关闭,1=开启
     */
    private Object distribute;

    /**
     * 赏金开启状态:0=未开启,1=已开启
     */
    private Object rewardState;

    /**
     * 身份证是否必填:0=否,1=是
     */
    private Object isIdcard;

    /**
     * 赏金比例
     */
    private BigDecimal rewardBenefit;

    /**
     * 创建时间
     */
    private Integer createtime;

    /**
     * 更新时间
     */
    private Integer updatetime;

    /**
     * 邀请人ID
     */
    private Integer inviteId;

    /**
     * 备注
     */
    private String remark;

    private BigDecimal benefitApp;

    private static final long serialVersionUID = 1L;
}