package com.book.dao.cps.pojo;

import lombok.Data;

import java.io.Serializable;

/**
 * config
 * @author 
 */
@Data
public class Config implements Serializable {
    private Integer id;

    /**
     * 变量名
     */
    private String name;

    /**
     * 分组
     */
    private String group;

    /**
     * 变量标题
     */
    private String title;

    /**
     * 变量描述
     */
    private String tip;

    /**
     * 类型:string,text,int,bool,array,datetime,date,file
     */
    private String type;

    /**
     * 变量值
     */
    private String value;

    /**
     * 变量字典数据
     */
    private String content;

    /**
     * 验证规则
     */
    private String rule;

    /**
     * 扩展属性
     */
    private String extend;

    private static final long serialVersionUID = 1L;
}