package com.book.dao.cps.pojo;

import java.io.Serializable;
import lombok.Data;

/**
 * signed_recommand
 * @author 
 */
@Data
public class SignedRecommand implements Serializable {
    /**
     * 索引ID
     */
    private Integer id;

    /**
     * 书籍ID
     */
    private Long bookId;

    /**
     * 书籍名称
     */
    private String bookName;

    /**
     * 频道:1=男频,2=女频
     */
    private Object sex;

    /**
     * 状态:normal=正常,hidden=隐藏
     */
    private Object status;

    /**
     * 创建时间
     */
    private Integer createtime;

    /**
     * 更新时间
     */
    private Integer updatetime;

    private static final long serialVersionUID = 1L;
}