package com.book.dao.cps.pojo;

import java.io.Serializable;
import lombok.Data;

/**
 * wechat_autoreply
 * @author 
 */
@Data
public class WechatAutoreply implements Serializable {
    private Integer id;

    /**
     * 管理员ID
     */
    private Integer adminId;

    /**
     * 标题
     */
    private String title;

    /**
     * 触发文本
     */
    private String text;

    /**
     * 响应事件
     */
    private String eventkey;

    /**
     * 备注
     */
    private String remark;

    /**
     * 添加时间
     */
    private Integer createtime;

    /**
     * 更新时间
     */
    private Integer updatetime;

    /**
     * 状态
     */
    private String status;

    /**
     * 模式
     */
    private String type;

    /**
     * 文本填充信息
     */
    private String textTipWord;

    /**
     * 文本原始信息
     */
    private String textContent;

    /**
     * 图文原始信息
     */
    private String newsContent;

    /**
     * 资源索引
     */
    private String eventKeys;

    /**
     * 书籍信息
     */
    private String books;

    /**
     * 关联的vip数据id
     */
    private Integer pid;

    /**
     * 关联的vip数据id
     */
    private Integer test;

    private static final long serialVersionUID = 1L;
}