package com.book.dao.cps.pojo;

import java.io.Serializable;
import lombok.Data;

/**
 * wechat_subscribe_config
 * @author 
 */
@Data
public class WechatSubscribeConfig implements Serializable {
    private Integer id;

    /**
     * 渠道ID
     */
    private Integer adminId;

    /**
     * 类型:default=系统默认,text=文字模式,news=图文模式
     */
    private Object type;

    /**
     * 资源事件
     */
    private String eventKeys;

    /**
     * 文本资源
     */
    private String textContent;

    /**
     * 图文资源
     */
    private String newsContent;

    /**
     * 是否启用自动回复:normal=启用,hidden=未启用
     */
    private Object status;

    /**
     * 创建时间
     */
    private Integer createtime;

    /**
     * 更新时间
     */
    private Integer updatetime;

    /**
     * 文字模式提示信息
     */
    private String textTipWord;

    /**
     * 签到类型，1回复签到，2自动签到
     */
    private Byte signType;

    /**
     * 自动签到展示文案
     */
    private String signTxt;

    /**
     * 标题
     */
    private String title;

    /**
     * 开始时间
     */
    private Integer starttime;

    /**
     * 结束时间
     */
    private Integer endtime;

    private static final long serialVersionUID = 1L;
}