package com.book.dao.cps.pojo;

import java.io.Serializable;
import lombok.Data;

/**
 * wxpay
 * @author 
 */
@Data
public class Wxpay implements Serializable {
    /**
     * ID
     */
    private Integer id;

    /**
     * 支付名
     */
    private String name;

    /**
     * 开放平台ID
     */
    private Integer platformId;

    /**
     * 支付域名
     */
    private String payHost;

    /**
     * 业务线:0=微信,1=app
     */
    private String businessLine;

    /**
     * 微信支付服务号 App Id
     */
    private String appid;

    /**
     * 微信支付服务号 App Secret
     */
    private String secret;

    /**
     * Icon
     */
    private String icon;

    /**
     * 微开支付服务号校验txt文件
     */
    private String payfile;

    /**
     * 微信支付商户ID
     */
    private Integer mcid;

    /**
     * 微信支付商户API KEY
     */
    private String apikey;

    /**
     * 状态:0=关闭,1=启用
     */
    private Object status;

    /**
     * 是否被封:0=正常,1=被封
     */
    private Object isClosure;

    /**
     * 描述
     */
    private String pDesc;

    /**
     * 0:非默认 1:默认
     */
    private Object isdefault;

    /**
     * 创建时间
     */
    private Integer createtime;

    /**
     * 更新时间
     */
    private Integer updatetime;

    /**
     * 支付方式:0=官方支付,1=四方支付,2=汇聚支付,3=米花支付,4=易宝支付,5=银生宝支付,6=微信h5支付,7=支付宝h5支付,8=现在支付,9=银联支付
     */
    private Object paymentMethod;

    /**
     * 四方支付是否启用分账。1：是，2：否，默认2
     */
    private Object quartetIsSplit;

    /**
     * 四方支付商户ID
     */
    private String quartetMerchantId;

    /**
     * 四方支付APPID
     */
    private String quartetAppId;

    /**
     * 四方支付APPKEY
     */
    private String quartetAppKey;

    /**
     * 四方支付公钥
     */
    private String quartetAppPublicKey;

    /**
     * 四方应用私有编号
     */
    private String quartetAppPrivateNo;

    /**
     * 子商户帐号
     */
    private String palmpaySubAccountIds;

    /**
     * 是否复粉:0=否,1=是
     */
    private Byte fufen;

    private static final long serialVersionUID = 1L;
}