package com.book.push.controller;

import com.book.push.vo.result.Result;
import lombok.extern.slf4j.Slf4j;
import org.springframework.web.bind.annotation.GetMapping;
import org.springframework.web.bind.annotation.RequestMapping;
import org.springframework.web.bind.annotation.RestController;

/**
 * created in 2021/9/26
 * Project: book-store
 *
 * @author win7
 */
@Slf4j
@RestController
@RequestMapping("/hello")
public class HelloController {


    @GetMapping
    public Result hello() {
        log.info("hello world !");
        return Result.success();


    }
}
