package com.book.push.service.dao.impl;

import com.book.dao.cps.mapper.WechatAutoreplyMapper;
import com.book.dao.cps.pojo.WechatAutoreply;
import com.book.push.service.dao.WechatAutoreplayService;
import org.springframework.beans.factory.annotation.Autowired;
import org.springframework.stereotype.Service;

/**
 * created in 2021/8/30
 * Project: book-store
 *
 * @author win7
 */
@Service
public class WechatAutoreplayServiceImpl implements WechatAutoreplayService {
    @Autowired
    private WechatAutoreplyMapper wechatAutoreplyMapper;

    @Override
    public WechatAutoreply selectByText(String text) {
        return wechatAutoreplyMapper.selectByText(text);
    }

    @Override
    public WechatAutoreply selectByAdminIdAndText(Integer adminId,String text) {
        return wechatAutoreplyMapper.selectByAdminIdAndText(adminId,text);
    }
}
