package com.book.push.service.push.impl;

import com.book.push.service.push.DelayTask;
import com.book.push.service.push.vo.BookInfo;
import me.chanjar.weixin.common.error.WxErrorException;
import me.chanjar.weixin.mp.bean.kefu.WxMpKefuMessage;
import me.chanjar.weixin.open.api.WxOpenMpService;

/**
 * created in 2021/8/28
 * Project: book-store
 *
 * @author win7
 */

public class PushMessageTask extends DelayTask<WxMpKefuMessage> {
    private WxOpenMpService wxMpService;

    public PushMessageTask(WxMpKefuMessage entity, long timeout) {
        super(entity, timeout);
    }
    public PushMessageTask(WxOpenMpService wxMpService,WxMpKefuMessage entity, long timeout) {

        super(entity, timeout);
        this.wxMpService = wxMpService;
    }

    @Override
    public void run() {
        WxMpKefuMessage wxMpKefuMessage = this.entity;
        try {
            wxMpService.getKefuService().sendKefuMessage(wxMpKefuMessage);
        } catch (WxErrorException e) {
            System.out.println("客服笑死发送失败："+ wxMpKefuMessage);
            e.printStackTrace();
        }
    }
}
