package com.book.push.service.wx;

import com.book.push.service.wx.impl.WxThirdPartMessageRouter;
import me.chanjar.weixin.common.bean.oauth2.WxOAuth2AccessToken;
import me.chanjar.weixin.open.api.WxOpenComponentService;
import me.chanjar.weixin.open.api.WxOpenService;

/**
 * created in 2021/8/20
 * Project: book-store
 *
 * @author win7
 */

public interface WxThirdPartService {

    public static final String VERIFY_TICKET_KEY_PREFIX = "easywechat.open_platform.verify_ticket.";
    public static final String COMPONENT_TOKEN_KEY_PREFIX = "easywechat.kernel.access_token.";
    public static  final String AUTHORIZER_TOKEN_KEY_PREFIX = "easywechat.kernel.access_token.";
    WxOpenService getWxOpenServiceByPlatFormId(Integer platFormId);


    WxThirdPartMessageRouter getWxThirdPartMessageRouter();

    WxOpenService getWxOpenServiceByAuthorizerAppid(String appid);

    WxOAuth2AccessToken getOAuth2AccessTokenByRefreshToken(Integer platformId, String appid);

    WxOAuth2AccessToken getOAuth2AccessTokenByCode(Integer platformId, String appid, String code);
}
