package com.book.push.service.wx.impl;

import com.book.push.service.wx.WxThirdPartService;
import me.chanjar.weixin.mp.bean.message.WxMpXmlMessage;
import me.chanjar.weixin.mp.bean.message.WxMpXmlOutMessage;
import me.chanjar.weixin.open.api.WxOpenService;
import me.chanjar.weixin.open.api.impl.WxOpenMessageRouter;

import java.util.HashMap;
import java.util.Map;

/**
 * created in 2021/8/20
 * Project: book-store
 *
 * @author win7
 */

public class WxThirdPartMessageRouter extends WxOpenMessageRouter {
    private WxThirdPartService wxThirdPartService;

    public WxThirdPartMessageRouter(WxThirdPartService wxThirdPartService) {
        super(null);
        this.wxThirdPartService = wxThirdPartService;
    }

    public WxMpXmlOutMessage route(WxMpXmlMessage wxMessage, Integer platFormId ,Map<String, Object> context, String appId) {
        return this.route(wxMessage, context, wxThirdPartService.getWxOpenServiceByPlatFormId(platFormId)
                .getWxOpenComponentService().getWxMpServiceByAppid(appId));
    }
    public WxMpXmlOutMessage route(WxMpXmlMessage wxMessage, Integer platFormId , String appId) {
        return this.route(wxMessage, new HashMap<>(10), wxThirdPartService.getWxOpenServiceByPlatFormId(platFormId)
                .getWxOpenComponentService().getWxMpServiceByAppid(appId));
    }


    @Override
    public WxMpXmlOutMessage route(WxMpXmlMessage wxMessage, String appId) {
        return super.route(wxMessage, appId);
    }

    @Override
    public WxMpXmlOutMessage route(WxMpXmlMessage wxMessage) {
        return super.route(wxMessage);
    }
}
