package com.book.server.common.entity;

public enum ResultCode {
    // 基本
    SUCCESS(0, "success"),
    FAIL(-1, "fail"),
    UNKNOWN(-2, "unknown"),

    NOMONEY(10000, "金币不足"),
    IDEXIST(10001, "书籍 ID 已存在"),
    PARAMERROR(10002, "参数错误"),
    ORDER_FAIL(10003, "下单失败"),
    USER_NULL(10004, "用户 ID 不能为 null"),
    ;

    private Integer code;
    private String message;

    public Integer getCode() {
        return code;
    }

    public void setCode(Integer code) {
        this.code = code;
    }

    public String getMessage() {
        return message;
    }

    public void setMessage(String message) {
        this.message = message;
    }

    ResultCode(Integer code, String message) {
        this.code = code;
        this.message = message;
    }

}
