package com.book.server.config;

/**
 * created in 2021/9/28
 * Project, book-store
 *
 * @author win7
 */

public enum SunTypeEnum {
    user("user","/channeldata/data/user/list"),
    user_active("user_active","/channeldata/data/user/activeList"),

    user_collect("user_collect","/channeldata/data/user/collect"),

    user_day_collect("user_day_collect","/channeldata/data/user/dayCollect"),

    channel("channel","/channeldata/data/account/list"),
    order("order","/channeldata/data/orders/list"),

    custom_url("custom_url","/channeldata/data/custom/urlCollect"),

    custom_url_day_collect("custom_url_day_collect","/channeldata/data/custom/urlDayCollect"),

    referral("referral","/channeldata/data/referral/list"),

    referral_day_collect("referral_day_collect","/channeldata/data/referral/collect"),

    activity("activity","/channeldata/data/activity/list"),

    activity_collect("activity_collect","/channeldata/data/activity/collect"),

    activity_day_collect("activity_day_collect","/channeldata/data/activity/dayCollect");

    private String path;
    private String name;

   private SunTypeEnum(String name, String path) {
       this.name = name;
       this.path = path;
    }

    public String getPath() {
        return path;
    }

    public void setPath(String path) {
        this.path = path;
    }

    public String getName() {
        return name;
    }

    public void setName(String name) {
        this.name = name;
    }
}
