package com.book.server.myevent;

import com.book.dao.VO.BookContentVO;
import lombok.Data;
import org.springframework.context.ApplicationEvent;

public class UserRecentReadEvent extends ApplicationEvent {
    private static final long serialVersionUID = 1L;

    public BookContentVO bookContentVO;

    public UserRecentReadEvent(Object source) {
        super(source);
    }

    public UserRecentReadEvent(Object source, BookContentVO bookContentVO) {
        super(source);
        this.bookContentVO = bookContentVO;
    }
}
