package com.book.server.vo;

import lombok.Data;

/**
 * created in 2021/9/28
 * Project: book-store
 *
 * @author win7
 */
@Data
public class SunTypeOrder {
    private String merchant_id;//	商户单号	唯一
    private String transaction_id;//	交易单号
    private String type;//	订单类型,(书币充值, VIP充值)
    private String money;//	总额
    private String state;//	订单状态,(未完成 , 完成)
    private String create_time;//	下单时间
    private String finish_time;//	完成时间
    private String book_name;//	书名
    private String referral_url;//推广链接
    private String user_id;//	用户id
    private String channel_id;//	渠道id
    private String subscribe_time;//	用戶关注时间
    private String user_createtime;//	用户注册时间
    private String openid;//	用户openid
    private String ip;//	下单ip
    private String user_agent;//	用户最近一次访问ua
}
