package com.book.server.vo;

import lombok.Data;

/**
 * created in 2021/9/28
 * Project: book-store
 *
 * @author win7
 */
@Data
public class SunTypeUser {
    private String user_id;
    //用户ID唯一;
    private String nickname;
    //用户昵称;
    private String openid;
    //微信openid;
    private String mobile;
    //手机号;
    private String province;
    //省份;
    private String city;
    //城市;
    private String sex;
    //状态值:未知,男性,女性;
    private String is_subscribe;
    //关注公众号状态:已关注,未关注;
    private String operatetime;
    //服务号交互时间(微信交互时间戳);
    private String registertime;
    //用户注册时间;
    private String authorizer_nickname;
    //公众号昵称;
    private String authorizer_appid;
    //公众号APPID;
    private String subscribe_time;
    //关注时间;
    private String channel_id;
    //所属渠道id;
    private String vip_end_time;
    //vip结束时间;
    private String recharge_amount;
    //充值金额;
    private String recharge_num;
    //充值次数;
    private String first_pay;
    //首冲金额
    private String last_recharge_time;
    //最近一次充值时间;
    private String total_kandian;
    //总数币;
    private String kandian;
    //剩余书币;
    private String referral_id;
    //推广链接ID,最近一次推广链接的ID;
    private String referral_id_permanent;
    //推广链接ID（原始ID）;
    private String register_ip;
    //注册IP;
    private String user_agent;
    //UA

}
